List testset rows

List all rows in a testset. ## Authentication - API key: `Authorization: Bearer ` ## Path Parameters - `testset_id` *string* **required**: The ID of the testset to list rows from. ## Examples ```python Python testset_id = "testset_id_123" url = f"https://api.respan.ai/api/testsets/{testset_id}/rows" headers = { "Authorization": "Bearer YOUR_API_KEY" } response = requests.get(url, headers=headers) print(response.json()) ``` ```bash cURL curl -X GET "https://api.respan.ai/api/testsets/{testset_id}/rows" \ -H "Authorization: Bearer YOUR_API_KEY" ``` ## Response ```json 200 OK { "count": 2, "results": [ { "row_index": 0, "row_data": { "input": "sdf" } }, { "row_index": 1, "row_data": { "expected_output": "ccc" } } ] } ```

Authentication

AuthorizationBearer
API key authentication. Get your API key from https://platform.respan.ai/platform/api-keys

Path parameters

testset_idstringRequired
The ID of the testset to list rows from.

Response

Successful response for List testset rows

Errors

401
Unauthorized Error